# $Revision: 1.9 $, $Date: 2001/10/16 09:00:37 $
%define		_kernel_ver	%(uname -r)
%define		_kernel_ver_str	%(echo %{_kernel_ver} | sed s/-/_/g)
%define		smpstr		%{?_with_smp:-smp}
%define		smp		%{?_with_smp:1}%{!?_with_smp:0}

Summary:	FTP File System 
Name:		ftpfs
Version:	0.6.2
Release:	6mdk
License:	GPL
Packager:	Zdenek Mazanec <bluehawk@betateam.net>
Group:		Base/Kernel
Source0:	http://ftp1.sourceforge.net/ftpfs/%{name}-%{version}-k2.4.tar.gz
Patch0:		%{name}-opt.patch
%{!?no_dist_kernel:BuildRequires:	kernel-headers >= 2.4}
BuildRoot:	%{tmpdir}/ftpfs-%{version}-k2.4

%description
FTP File System is a Linux kernel module, enhancing the VFS with FTP
volume mounting capabilities. That is, you can "mount" FTP shared
directories in your very personal file system and take advantage of
local files ops.


%package -n kernel%{smpstr}-net-ftpfs
Summary:	FTP File System - kernel module
Release:	%{release}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
Obsoletes:	ftpfs
Provides:	ftpfs = %{version}

%description -n kernel%{smpstr}-net-ftpfs
FTP File System is a Linux kernel module, enhancing the VFS with FTP
volume mounting capabilities. That is, you can "mount" FTP shared
directories in your very personal file system and take advantage of
local files ops. This package contains ftpfs kernel module.


%package -n ftpmount
Summary:	FTP File System mounting utility
Group:		Applications/System
Requires:	ftpfs = %{version}

%description -n ftpmount
FTP File System mounting utility.


%prep
%setup -q -n ftpfs-%{version}-k2.4
%patch -p1

%build
#%{__make} OPT="%{rpmcflags}"
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

install -D ftpfs/ftpfs.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/ftpfs.o
install -D ftpfs/cache.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/cache.o
install -D ftpfs/dir.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/dir.o
install -D ftpfs/file.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/file.o
install -D ftpfs/inode.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/inode.o
install -D ftpfs/proc.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/proc.o
install -D ftpfs/symlink.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/symlink.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/ftpfs.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/cache.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/dir.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/file.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/inode.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/proc.o
gzip $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/ftpfs/symlink.o
install -D ftpmount/ftpmount $RPM_BUILD_ROOT%{_sbindir}/ftpmount

gzip -9nf CHANGELOG TODO ftpmount/README

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{smpstr}-net-ftpfs
/sbin/depmod -A

%postun -n kernel%{smpstr}-net-ftpfs
/sbin/depmod -A
	
%files -n kernel%{smpstr}-net-ftpfs
%defattr(644,root,root,755)
%doc docs *.gz
/lib/modules/*/*/*

%files -n ftpmount
%defattr(644,root,root,755)
%doc ftpmount/*.gz
%attr(755,root,root) %{_sbindir}/ftpmount

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Zdenek Mazanec  <bluehawk@betateam.net>
- update to version 0.6.2
- small modification in spec file needed for Mandrake 

$Log: ftpfs.spec,v $
Revision 1.9  2001/10/16 09:00:37  qboosh
- added empty base package to remove junk from .src.rpm name
- kernel*-net-ftpfs Provides: ftpfs, ftpmount Requires: ftpfs
- release 2

